## ros-indigo-ackermann-controller 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ackermann_controller)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

#Add custom (non compiling) targets so launch scripts and python files show up in QT Creator's project view.
file(GLOB_RECURSE EXTRA_FILES */*)
add_custom_target(${PROJECT_NAME}_OTHER_FILES ALL WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} SOURCES ${EXTRA_FILES})

set(${PROJECT_NAME}_CATKIN_DEPS
    controller_interface
    nav_msgs
    ackermann_msgs
    realtime_tools
    tf
    urdf_vehicle_kinematic)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_CATKIN_DEPS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/ackermann_controller.cpp src/odometry.cpp src/speed_limiter.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

catkin_install_python(PROGRAMS scripts/teleop_ackermann_joy.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES ackermann_controller_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest std_srvs controller_manager tf)

  add_executable(ackermann test/src/ackermann.cpp)
  target_link_libraries(ackermann ${catkin_LIBRARIES})

  add_dependencies(tests ackermann)

  add_rostest_gtest(ackermann_controller_test
                    test/ackermann_controller.test
                    test/src/ackermann_test.cpp)
  target_link_libraries(ackermann_controller_test ${catkin_LIBRARIES})

  add_rostest_gtest(ackermann_wrong_config_test
                    test/ackermann_wrong_config.test
                    test/src/ackermann_wrong_config.cpp)
  target_link_libraries(ackermann_wrong_config_test ${catkin_LIBRARIES})
  #add_rostest(test/ackermann_radius_param.test)

endif()

=== debian/changelog ===
ros-indigo-ackermann-controller (0.2.2-0trusty) trusty; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 01 Feb 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.2.1-0trusty) trusty; urgency=high

  * [ackermann] Change package description
  * Update computation of virtual steering
  * Update test for four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.2.0-0trusty) trusty; urgency=high

  * [4ws] Only enable twist cmd
  * remove test on radius param
  * Create the package urdf_vehicle_kinematic
  * Remove rviz display from test
  * [ackermann] Add test depend
  * Add joint steering limit
  * [ackermann] Add test for the validity of odometry
  * [ackermann] remove previous test urdf
  * [ackermann] Add first test with wrong config
  * [ackermann] Add tests
  * Assure controllability with twist command
  * Update 4ws twist cmd according to the wiki
    https://forge.irstea.fr/projects/robot-mobile/wiki/4WS_vehicle_model
  * Update ackermann controller with good steering mesure and command
  * [ackermann] Lookup for front and wheel radius in param fix #1
  * [ackermann] Enable different wheel radius on front and rear
  * Fix some names
  * Update ackermann controller according to 4ws controller
  * Update CMakelists and package format
  * Clean controllers code
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 18 Jan 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.1.2-0trusty) trusty; urgency=high

  * Install python scripts
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 04 Sep 2016 22:00:00 -0000

ros-indigo-ackermann-controller (0.1.1-0trusty) trusty; urgency=high

  * Initial version of ackermann_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 30 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-ackermann-controller
Section: misc
Priority: extra
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-ackermann-msgs, ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-rostest, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf-vehicle-kinematic
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ackermann-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ackermann-msgs, ros-indigo-controller-interface, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-tf, ros-indigo-urdf-vehicle-kinematic
Description: Controller for a ackermann mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ackermann-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
